Get NFT tokens by account
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/tokens/by_account/{account}import requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/tokens/by_account/{account}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/tokens/by_account/{account}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"collection_addr": "<string>",
"collection_name": "<string>",
"collection_origin_name": "<string>",
"object_addr": "<string>",
"owner": "<string>",
"nft": {
"token_id": "<string>",
"uri": "<string>"
},
"height": 123,
"timestamp": "<string>"
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}NFTs
Get NFT tokens by account
Returns NFT tokens owned by the specified account. You can optionally filter by collection address and token ID.
GET
/
indexer
/
nft
/
v1
/
tokens
/
by_account
/
{account}
Get NFT tokens by account
Path Parameters
The account address.
Query Parameters
Filter by collection address.
Filter by token ID.
Field to order results by. Options: token_id, height.
Available options:
token_id, height Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?